aboutsummaryrefslogtreecommitdiffstats
path: root/keystone-moon/debian/keystone.postrm
diff options
context:
space:
mode:
authorThomas Duval <thomas.duval@orange.com>2016-08-01 17:29:50 +0200
committerThomas Duval <thomas.duval@orange.com>2016-08-01 17:29:50 +0200
commit860e7fd7b81f956b54b25224efbd69ff9b1d1cc7 (patch)
treeea31fbc59c7897261be1f935d4a4d2e6f9517331 /keystone-moon/debian/keystone.postrm
parentf229ce96c7ce192db501b0da538e9b8c8ec7f1d1 (diff)
Update script for debian package creation.
Change-Id: I0860633b9dc1aedd89e0272b92cb17022d35d01c
Diffstat (limited to 'keystone-moon/debian/keystone.postrm')
-rw-r--r--keystone-moon/debian/keystone.postrm18
1 files changed, 18 insertions, 0 deletions
diff --git a/keystone-moon/debian/keystone.postrm b/keystone-moon/debian/keystone.postrm
new file mode 100644
index 00000000..0c32667d
--- /dev/null
+++ b/keystone-moon/debian/keystone.postrm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+if [ "${1}" = "purge" ] ; then
+ if [ -f /usr/share/debconf/confmodule ] && [ -f /usr/share/dbconfig-common/dpkg/postrm ] ; then
+ . /usr/share/debconf/confmodule
+
+ db_get keystone/configure_db
+ if [ "$RET" = "true" ] ; then
+ . /usr/share/dbconfig-common/dpkg/postrm
+ dbc_go keystone $@
+ fi
+ fi
+ rm -rf /var/log/keystone /var/lib/keystone /etc/keystone
+fi
+
+#DEBHELPER#